{-# LANGUAGE QuasiQuotes #-}
{-# LANGUAGE TemplateHaskell #-}

module Core.Templates ( renderIndex, renderStyle ) where

import Text.Blaze.Html.Renderer.Text (renderHtml)
import Text.Blaze.Html
import Text.Cassius                  (cassiusFile, renderCss)
import Text.Hamlet                   (shamletFile)

import qualified Data.Text      as T
import qualified Data.Text.Lazy as LT

import Prelude 

renderIndex :: String -> LT.Text
renderIndex link = renderHtml ( $(shamletFile "./views/index.hamlet") )
  where
    hsUserLink = userLinkAttr link

renderStyle :: LT.Text
renderStyle = renderCss ( $(cassiusFile "./views/cassius/style.cassius") "/style.css" )

userLinkAttr :: String -> (String, String)
userLinkAttr str = ("hx-vals", "{\"userLink\": \"" <> str <> "\"}")
