module Feature.Generation.Passwords where

import Core.Types
import Feature.Generation.Shared (rIndex)

import Control.Monad.Reader (ask, lift, liftIO)
import Data.Char (toLower, toUpper)
import System.IO
import System.Random

-- suggestedScheme and its helpers xkcd, oldschool, and gibberish are TODO.
suggestedScheme :: Int -> String
suggestedScheme i 
  | i > 23    = xkcd i
  | i > 12    = oldschool i
  | otherwise = gibberish i

xkcd :: Int -> String
xkcd i = take i "correcthorsebatterystaple"

oldschool :: Int -> String
oldschool i = take i "PowerProlonger2974!"

gibberish :: Int -> String
gibberish i = take i "TCYx#@z5zlgw1o"
